org.jbpm.executor.commands

## Class ExecutionErrorCleanupCommand

- java.lang.Object
- - org.jbpm.executor.commands.ExecutionErrorCleanupCommand

- All Implemented Interfaces:
    org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

      public class ExecutionErrorCleanupCommand
      extends Object
      implements org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

  Execution error clean up command that aims at doing house keeping of execution error table used in jBPM: Command by default is auto configured to run once a day from the time it was initially scheduled though it can be reconfigured in terms of frequency when it is executed and if it shall run multiple times at all.
  Following is a complete list of accepted parameters:
  - DateFormat - date format for further date related params - if not given yyyy-MM-dd is used (pattern of SimpleDateFormat class)
  - EmfName - name of entity manager factory to be used for queries (valid persistence unit name)
  - SingleRun - indicates if execution should be single run only (true|false)
  - NextRun - provides next execution time (valid time expression e.g. 1d, 5h, etc)
  - OlderThan - indicates what errors should be deleted - older than given date
  - OlderThanPeriod - indicated what errors should be deleted older than given time expression (valid time expression e.g. 1d, 5h, etc)
  - ForProcess - indicates errors to be deleted only for given process definition
  - ForProcessInstance - indicates errors to be deleted only for given process instance
  - ForDeployment - indicates errors to be deleted that are from given deployment id

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionErrorCleanupCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.executor.ExecutionResults` | `execute(org.kie.api.executor.CommandContext ctx)`
    `Date` | `getScheduleTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionErrorCleanupCommand

          public ExecutionErrorCleanupCommand()

  - ### Method Detail

    - #### getScheduleTime

          public Date getScheduleTime()

      Specified by:
        `getScheduleTime` in interface `org.kie.api.executor.Reoccurring`

    - #### execute

          public org.kie.api.executor.ExecutionResults execute(org.kie.api.executor.CommandContext ctx)
                                                        throws Exception

      Specified by:
        `execute` in interface `org.kie.api.executor.Command`
      Throws:
        `Exception`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.